[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#88533: marked as done (segmentation fault)



Your message dated Mon, 05 Mar 2001 14:53:33 -0500
with message-id <E14a12z-0001ie-00@auric.debian.org>
and subject line Bug#88533: fixed in apt 0.5.2
has caused the attached Bug report to be marked as done.

This means that you claim that the problem has been dealt with.
If this is not the case it is now your responsibility to reopen the
Bug report if necessary, and/or fix the problem forthwith.

(NB: If you are a system administrator and have no idea what I am
talking about this indicates a serious mail system misconfiguration
somewhere.  Please contact me immediately.)

Darren Benham
(administrator, Debian Bugs database)

--------------------------------------
Received: (at submit) by bugs.debian.org; 4 Mar 2001 23:22:12 +0000
>From bmay@csse.monash.edu.au Sun Mar 04 17:22:12 2001
Return-path: <bmay@csse.monash.edu.au>
Received: from lyell.csse.monash.edu.au [::ffff:130.194.226.101] 
	by master.debian.org with esmtp (Exim 3.12 1 (Debian))
	id 14ZhpL-0005ap-00; Sun, 04 Mar 2001 17:22:11 -0600
Received: by lyell.csse.monash.edu.au (Postfix, from userid 3752)
	id BE504F6BF; Mon,  5 Mar 2001 10:22:08 +1100 (EST)
From: Brian May <bmay@csse.monash.edu.au>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: segmentation fault
X-Reportbug-Version: 0.54
X-Mailer: reportbug 0.54
Date: Mon, 05 Mar 2001 10:22:08 +1100
Message-Id: <20010304232208.BE504F6BF@lyell.csse.monash.edu.au>
Delivered-To: submit@bugs.debian.org

Package: apt
Version: 0.5.0
Severity: important

----- /etc/apt/preferences contains:
Package: *
Pin: release a=stable
Pin-Priority: 600

Package: *
Pin: release a=potato
Pin-Priority: 600

Package: *
Pin: release o=helix
Pin-Priority: 600
----- so normally stable packages have higher priority then unstable.

How to reproduce:

lyell:~# apt-get -s install rproxy -t unstable
Reading Package Lists... Done
Building Dependency Tree... Done
The following extra packages will be installed:
  cpp cpp-2.95 g++ g++-2.95 gcc gcc-2.95 libc6 libc6-dev libstdc++2.10-dev
  libstdc++2.10-glibc2.2 locales stardic task-chinese-s zh-trans 
The following packages will be REMOVED:
  locale-zh 
The following NEW packages will be installed:
  cpp-2.95 g++-2.95 gcc-2.95 libstdc++2.10-glibc2.2 stardic 
10 packages upgraded, 5 newly installed, 1 to remove and 433  not upgraded.
Inst libstdc++2.10-glibc2.2 (1:2.95.3-6 Debian:unstable) []
Inst cpp-2.95 (1:2.95.3-6 Debian:unstable) []
Inst gcc-2.95 (1:2.95.3-6 Debian:unstable) []
Inst g++ (1:2.95.3-5 Debian:unstable) []
Inst gcc (1:2.95.3-5 Debian:unstable) []
Inst cpp (1:2.95.3-5 Debian:unstable) []
Inst g++-2.95 (1:2.95.3-6 Debian:unstable) []
Inst libstdc++2.10-dev (1:2.95.3-6 Debian:unstable) []
Inst libc6-dev (2.2.2-1 Debian:unstable) []
Inst zh-trans (0.8.1-3 Debian:unstable) []
Inst task-chinese-s (0.7 Debian:unstable) []
Segmentation fault

(gdb) bt
#0  0x4019d2a0 in strcmp () from /lib/libc.so.6
#1  0x40062b68 in pkgCache::VerIterator::RelStr ()
   from /usr/lib/libapt-pkg.so.3.1
#2  0x4006fc90 in pkgSimulate::Describe () from /usr/lib/libapt-pkg.so.3.1
#3  0x40070ab6 in pkgSimulate::Remove () from /usr/lib/libapt-pkg.so.3.1
#4  0x4006e808 in pkgPackageManager::SmartRemove ()
   from /usr/lib/libapt-pkg.so.3.1
#5  0x4006f495 in pkgPackageManager::OrderInstall ()
   from /usr/lib/libapt-pkg.so.3.1
#6  0x4006f5b5 in pkgPackageManager::DoInstall ()
   from /usr/lib/libapt-pkg.so.3.1
#7  0x80505c3 in strcpy ()
#8  0x80588bd in strcpy ()
#9  0x4005a2ea in CommandLine::DispatchArg () from /usr/lib/libapt-pkg.so.3.1
#10 0x8061840 in strcpy ()
#11 0x40162a42 in __libc_start_main () from /lib/libc.so.6

trace shows nothing that looks important to me:

write(1, "Inst task-chinese-s (0.7 Debian:"..., 45Inst task-chinese-s (0.7 Debian:unstable) []
) = 45
--- SIGSEGV (Segmentation fault) ---
+++ killed by SIGSEGV +++

more details can be provided on request.

Also note:

lyell:~# dpkg -l libc6 rproxy
Desired=Unknown/Install/Remove/Purge/Hold
| Status=Not/Installed/Config-files/Unpacked/Failed-config/Half-installed
|/ Err?=(none)/Hold/Reinst-required/X=both-problems (Status,Err: uppercase=bad)
||/ Name           Version        Description
+++-==============-==============-============================================
ii  libc6          2.1.3-15       GNU C Library: Shared libraries and Timezone
ii  rproxy         0.5.7-4        A cache which uses differences to speed up r

lyell:~# dpkg -S /usr/lib/libapt-pkg.so.3.1
apt: /usr/lib/libapt-pkg.so.3.1

and:

----- /etc/apt/sources
# See sources.list(5) for more information, especialy
# Remember that you can only use http, ftp or file URIs
# CDROMs are managed throught the apt-cdrom tool.
# Proxy configuration is covered through environment variables or
# 

deb http://security.debian.org/ stable/updates main contrib non-free
deb http://mirror.aarnet.edu.au/pub/helixcode/distributions/debian unstable main

# --- STABLE ---
deb ftp://ftp.monash.edu.au/pub/linux/debian stable main contrib non-free
deb ftp://ftp.monash.edu.au/pub/linux/debian-non-US stable non-US/main non-US/contrib non-US/non-free

#deb-src ftp://ftp.monash.edu.au/pub/linux/debian stable main contrib non-free
#deb-src ftp://ftp.monash.edu.au/pub/linux/debian-non-US stable non-US/main non-US/contrib non-US/non-free

deb http://ftp.au.debian.org/pub/debian stable main contrib non-free
deb http://ftp.au.debian.org/pub/debian-non-US stable non-US/main non-US/contrib non-US/non-free

deb-src http://ftp.au.debian.org/pub/debian stable main contrib non-free
deb-src http://ftp.au.debian.org/pub/debian-non-US stable non-US/main non-US/contrib non-US/non-free

# --- UNSTABLE ---
deb ftp://ftp.monash.edu.au/pub/linux/debian unstable main contrib non-free
deb ftp://ftp.monash.edu.au/pub/linux/debian-non-US unstable non-US/main non-US/contrib non-US/non-free

#deb-src ftp://ftp.monash.edu.au/pub/linux/debian unstable main contrib non-free
#deb-src ftp://ftp.monash.edu.au/pub/linux/debian-non-US unstable non-US/main non-US/contrib non-US/non-free

deb http://ftp.au.debian.org/pub/debian unstable main contrib non-free
deb http://ftp.au.debian.org/pub/debian-non-US unstable non-US/main non-US/contrib non-US/non-free

deb-src http://ftp.au.debian.org/pub/debian unstable main contrib non-free
deb-src http://ftp.au.debian.org/pub/debian-non-US unstable non-US/main non-US/contrib non-US/non-free
-----


-- System Information
Debian Release: 2.2
Architecture: i386
Kernel: Linux lyell 2.2.18 #1 Tue Jan 2 11:45:11 EST 2001 i686

Versions of packages apt depends on:
ii  libc6                        2.1.3-15    GNU C Library: Shared libraries an
ii  libstdc++2.10                1:2.95.2-13 The GNU stdc++ library            


---------------------------------------
Received: (at 88533-close) by bugs.debian.org; 5 Mar 2001 20:16:05 +0000
>From troup@auric.debian.org Mon Mar 05 14:16:05 2001
Return-path: <troup@auric.debian.org>
Received: from auric.debian.org [::ffff:206.246.226.45] 
	by master.debian.org with esmtp (Exim 3.12 1 (Debian))
	id 14a1Om-0005Gd-00; Mon, 05 Mar 2001 14:16:04 -0600
Received: from troup by auric.debian.org with local (Exim 3.12 1 (Debian))
	id 14a12z-0001ie-00; Mon, 05 Mar 2001 14:53:33 -0500
From: APT Development Team <deity@lists.debian.org>
To: 88533-close@bugs.debian.org
Subject: Bug#88533: fixed in apt 0.5.2
Message-Id: <E14a12z-0001ie-00@auric.debian.org>
Sender: James Troup <troup@auric.debian.org>
Date: Mon, 05 Mar 2001 14:53:33 -0500
Delivered-To: 88533-close@bugs.debian.org

We believe that the bug you reported is fixed in the latest version of
apt, which has been installed in the Debian FTP archive:

libapt-pkg-doc_0.5.2_all.deb
  to pool/main/a/apt/libapt-pkg-doc_0.5.2_all.deb
apt_0.5.2.dsc
  to pool/main/a/apt/apt_0.5.2.dsc
apt_0.5.2_i386.deb
  to pool/main/a/apt/apt_0.5.2_i386.deb
libapt-pkg-dev_0.5.2_i386.deb
  to pool/main/a/apt/libapt-pkg-dev_0.5.2_i386.deb
apt_0.5.2.tar.gz
  to pool/main/a/apt/apt_0.5.2.tar.gz
apt-utils_0.5.2_i386.deb
  to pool/main/a/apt/apt-utils_0.5.2_i386.deb
A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 88533@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
APT Development Team <deity@lists.debian.org> (supplier of updated apt package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sun,  4 Mar 2001 15:39:43 -0700
Source: apt
Binary: apt-utils apt libapt-pkg-dev libapt-pkg-doc
Architecture: source i386 all
Version: 0.5.2
Distribution: unstable
Urgency: low
Maintainer: APT Development Team <deity@lists.debian.org>
Changed-By: Jason Gunthorpe <jgg@debian.org>
Description: 
 apt        - Advanced front-end for dpkg
 apt-utils  - APT utility programs
 libapt-pkg-dev - Development files for APT's libapt-pkg
 libapt-pkg-doc - Documentation for APT development
Closes: 88533 88538
Changes: 
 apt (0.5.2) unstable; urgency=low
 .
   * Fixed mention of /usr/doc in the long description
   * JoeyH's downgrade bug -- don't use 0.5.1
   * Doc bug. Closes: #88538
   * Fault in building release strings. Closes: #88533
Files: 
 8d586f5840e3ac3ea674f163a7225680 594 admin standard apt_0.5.2.dsc
 a92b9ccb899bf3efe4c4f69cf32ffb5f 492419 admin standard apt_0.5.2.tar.gz
 47d6650e92cfd2894548fe568d98d22e 85088 admin optional libapt-pkg-doc_0.5.2_all.deb
 5d7f4c9081cafbd2c71b619b5c1de0ee 582846 admin standard apt_0.5.2_i386.deb
 3d95cd9707bd0aee6779d6b5db2b4fc2 51980 admin optional libapt-pkg-dev_0.5.2_i386.deb
 e3b9a03b54d881524704744614831676 163698 admin optional apt-utils_0.5.2_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.0.2 (GNU/Linux)
Comment: For info see http://www.gnupg.org

iD8DBQE6owDbULspdC1Zp9IRAu95AJ43VowoHv/s9ThLjV/1Sd6qev0t/gCgmPXa
kW2qrkvQXln9y5dKcqPDBcE=
=ta3p
-----END PGP SIGNATURE-----



Reply to: